## mimetreeparser 25.12.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.6.1")
project(MimeTreeParserNG VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.18.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)
set(QT_REQUIRED_VERSION "6.7.0")
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMQmlModule)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    autotests/*.cpp
    autotests/*.h
    src/*.cpp
    src/*.h
    examples/*.cpp
    examples/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMAddTests)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    autotests/*.cpp
    autotests/*.h
    src/*.cpp
    src/*.h
    examples/*.cpp
    examples/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(KPIM_MIME_VERSION "6.6.1")
set(KPIM_LIBKLEO_VERSION "6.6.1")
set(KPIM_MBOX_VERSION "6.6.1")
set(GPGME_REQUIRED_VERSION "1.23.2")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSERNG
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

configure_file(
    mimetreeparserng-version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
    @ONLY
)

option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(Qt6Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6PrintSupport ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(Qt6Quick ${QT_REQUIRED_VERSION} CONFIG)
find_package(Qt6Widgets ${QT_REQUIRED_VERSION} CONFIG)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(examples)
    add_subdirectory(autotests)
endif()

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
    COMPONENT Devel
)
ecm_qt_install_logging_categories(
    EXPORT MIMETREEPARSERNG
    FILE mimetreeparser.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mimetreeparser (25.12.1-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 24.12.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 11 Jan 2025 15:32:04 +0000]
  * Remove armhf from qtwebengine related architecture lists.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 30 Jan 2026 07:00:47 +0000

mimetreeparser (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:39:18 +0100

mimetreeparser (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:24 +0100

mimetreeparser (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:56 +0100

=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               gpg-agent <!nocheck>,
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkleo-dev (>= 4:25.12.1~),
               libkmbox-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libxkbcommon-dev,
               qml6-module-org-kde-kirigami,
               qml6-module-qtwebengine [amd64 arm64 i386],
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/mimetreeparser
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
Rules-Requires-Root: no

Package: libmimetreeparser-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: MIME tree parser - data files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the data files.

Package: libkpim6mimetreeparsercore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the core library.

Package: libkpim6mimetreeparserwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the widgets library.

Package: libmimetreeparser-dev
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.18.0~),
         libkmbox-dev (>= 25.12.1~),
         libkmime-dev (>= 25.12.1~),
         libkpim6mimetreeparsercore6 (= ${binary:Version}),
         libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
         ${misc:Depends},
Description: MIME tree parser - development files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.
Section: libdevel

Package: qml6-module-org-kde-mimetreeparser
Architecture: amd64 arm64 i386
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the QML module.

## mimetreeparser 25.12.1+p24.04+vstable+git20260106.1345

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260106.1345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 13:45:47 +0000

mimetreeparser (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:47 +1000

## mimetreeparser 25.12.1+p24.04+vstable+git20260107.0821

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260107.0821-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:21:05 +0000

## mimetreeparser 25.12.1+p24.04+vstable+git20260205.0441

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vstable+git20260205.0441-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:41:06 +0000

## mimetreeparser 25.12.1+p24.04+vunstable+git20260205.0807

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.21.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -42,7 +42,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 include(ECMAddTests)
 
 include(ECMCheckOutboundLicense)
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.1")
-set(KPIM_LIBKLEO_VERSION "6.6.1")
-set(KPIM_MBOX_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.44")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
+set(KPIM_MBOX_VERSION "6.6.40")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -73,17 +73,6 @@
     mimetreeparserng-version.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
     @ONLY
-)
-
-option(
-    BUILD_QCH
-    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-    OFF
-)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
 
 if(BUILD_TESTING)
@@ -112,7 +101,12 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
@@ -124,6 +118,17 @@
 if(USE_UNITY_CMAKE_SUPPORT)
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
     add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
+endif()
+
+option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
+if(WARNINGS_AS_ERRORS)
+    if(MSVC)
+        add_compile_options(/WX)
+        add_compile_options(/wd4996)
+    else()
+        add_compile_options(-Werror)
+        add_compile_options(-Wno-error=deprecated-declarations)
+    endif()
 endif()
 
 add_subdirectory(src)

=== src/core/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_CORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

# public dynamic library

add_library(KPim6MimeTreeParserCore)
add_library(KPim6::MimeTreeParserCore ALIAS KPim6MimeTreeParserCore)

ecm_qt_declare_logging_category(KPim6MimeTreeParserCore
    HEADER mimetreeparser_core_debug.h
    IDENTIFIER MIMETREEPARSER_CORE_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.core
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSERNG
)

target_sources(
    KPim6MimeTreeParserCore
    PRIVATE
        errors.h
        attachmentmodel.h
        bodypartformatter.h
        bodypartformatterbasefactory.h
        bodypartformatterbasefactory_p.h
        cryptohelper.h
        enums.h
        fileopener.h
        htmlutils.h
        messageparser.h
        messagepart.h
        objecttreeparser.h
        partmetadata.h
        partmodel.h
        urlhandler.h
        utils.h
        attachmentmodel.cpp
        bodypartformatter.cpp
        bodypartformatter_impl.cpp
        bodypartformatterbasefactory.cpp
        cryptohelper.cpp
        fileopener.cpp
        htmlutils.cpp
        messageparser.cpp
        messagepart.cpp
        objecttreeparser.cpp
        partmodel.cpp
        urlhandler.cpp
        utils.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserCore PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim6MimeTreeParserCore BASE_NAME mimetreeparser_core)

target_include_directories(
    KPim6MimeTreeParserCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore>"
)

target_link_libraries(
    KPim6MimeTreeParserCore
    PUBLIC KPim6::Mime KPim6::Libkleo Gpgmepp Qt::Gui
    PRIVATE KPim6::Mbox KF6::I18n
)

set_target_properties(
    KPim6MimeTreeParserCore
    PROPERTIES
        VERSION ${MIMETREEPARSERNG_VERSION}
        SOVERSION ${MIMETREEPARSERNG_SOVERSION}
        EXPORT_NAME MimeTreeParserCore
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserCore
    LIB_NAME KPim6MimeTreeParserCore
    DEPS "MimeTreeParserCore"
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(
    TARGETS KPim6MimeTreeParserCore
    EXPORT KPim6MimeTreeParserCoreTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserCore_CamelCase_HEADERS
    HEADER_NAMES
        AttachmentModel
        CryptoHelper
        Errors
        FileOpener
        MessageParser
        MessagePart
        ObjectTreeParser
        PartModel
        PartMetaData
        Enums
        UrlHandler
    REQUIRED_HEADERS MimeTreeParserCore_HEADERS
    PREFIX MimeTreeParserCore
)

install(
    FILES ${MimeTreeParserCore_CamelCase_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/MimeTreeParserCore
    COMPONENT Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_core_export.h
        ${MimeTreeParserCore_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore/mimetreeparsercore
    COMPONENT Devel
)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR
    "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserCore"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MimeTreeParserCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserCoreTargets.cmake
    NAMESPACE KPim6::
)
ecm_generate_qdoc(KPim6MimeTreeParserCore mimetreeparser-core.qdocconf)

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_WIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MimeTreeParserWidgets)
add_library(KPim6::MimeTreeParserWidgets ALIAS KPim6MimeTreeParserWidgets)

target_sources(
    KPim6MimeTreeParserWidgets
    PRIVATE
        attachmentview_p.h
        attachmentview.cpp
        messagecontainerwidget_p.h
        messagecontainerwidget.cpp
        messageviewer.h
        messageviewer.cpp
        messageviewerdialog.h
        messageviewerdialog.cpp
        messageviewerwindow.h
        messageviewerwindow.cpp
        messageviewerutils_p.h
        messageviewerutils_p.cpp
)

ecm_qt_declare_logging_category(KPim6MimeTreeParserWidgets
    HEADER mimetreeparser_widgets_debug.h
    IDENTIFIER MIMETREEPARSER_WIDGET_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.widgets
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(
    KPim6MimeTreeParserWidgets
    BASE_NAME mimetreeparser_widgets
)

target_include_directories(
    KPim6MimeTreeParserWidgets
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets>"
)

target_link_libraries(
    KPim6MimeTreeParserWidgets
    PUBLIC Qt::Widgets KPim6::Mime
    PRIVATE
        KPim6::MimeTreeParserCore
        Qt::PrintSupport
        KF6::I18n
        KF6::ColorScheme
        KF6::CalendarCore
        KF6::WidgetsAddons
        KPim6::Libkleo
        Gpgmepp
)

set_target_properties(
    KPim6MimeTreeParserWidgets
    PROPERTIES
        VERSION ${MIMETREEPARSER_WIDGETS_VERSION}
        SOVERSION ${MIMETREEPARSER_WIDGETS_SOVERSION}
        EXPORT_NAME MimeTreeParserWidgets
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserWidgets
    LIB_NAME KPim6MimeTreeParserWidgets
    DEPS "MimeTreeParserWidgets"
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(
    TARGETS KPim6MimeTreeParserWidgets
    EXPORT KPim6MimeTreeParserWidgetsTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserWidgets_CamelCase_HEADERS
    HEADER_NAMES
        MessageViewer
        MessageViewerDialog
        MessageViewerWindow
    REQUIRED_HEADERS MimeTreeParserWidgets_HEADERS
    PREFIX MimeTreeParserWidgets
)

install(
    FILES ${MimeTreeParserWidgets_CamelCase_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/MimeTreeParserWidgets
    COMPONENT Devel
)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_export.h
        ${MimeTreeParserWidgets_HEADERS}
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets
    COMPONENT Devel
)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR
    "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserWidgets"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MimeTreeParserWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserWidgetsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets
    COMPONENT Devel
)
ecm_generate_qdoc(KPim6MimeTreeParserWidgets mimetreeparser-widgets.qdocconf)

=== debian/changelog ===
mimetreeparser (25.12.1+p24.04+vunstable+git20260205.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:07:16 +0000

## mimetreeparser 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.2")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.21.0")
+set(KF_MIN_VERSION "6.18.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -42,7 +42,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-include(ECMGenerateQDoc)
+include(ECMAddQch)
 include(ECMAddTests)
 
 include(ECMCheckOutboundLicense)
@@ -57,9 +57,9 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(KPIM_MIME_VERSION "6.6.44")
-set(KPIM_LIBKLEO_VERSION "6.6.40")
-set(KPIM_MBOX_VERSION "6.6.40")
+set(KPIM_MIME_VERSION "6.6.2")
+set(KPIM_LIBKLEO_VERSION "6.6.2")
+set(KPIM_MBOX_VERSION "6.6.2")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -73,6 +73,17 @@
     mimetreeparserng-version.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h
     @ONLY
+)
+
+option(
+    BUILD_QCH
+    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
+    OFF
+)
+add_feature_info(
+    QCH
+    ${BUILD_QCH}
+    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
 
 if(BUILD_TESTING)
@@ -101,12 +112,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(
     USE_UNITY_CMAKE_SUPPORT
@@ -118,17 +124,6 @@
 if(USE_UNITY_CMAKE_SUPPORT)
     set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
     add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
-endif()
-
-option(WARNINGS_AS_ERRORS "Warnings are errors -Werror" OFF)
-if(WARNINGS_AS_ERRORS)
-    if(MSVC)
-        add_compile_options(/WX)
-        add_compile_options(/wd4996)
-    else()
-        add_compile_options(-Werror)
-        add_compile_options(-Wno-error=deprecated-declarations)
-    endif()
 endif()
 
 add_subdirectory(src)

=== debian/changelog ===
mimetreeparser (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Mon, 23 Feb 2026 15:36:05 +0000

mimetreeparser (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:44:25 +0000

mimetreeparser (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:38:57 +0000

mimetreeparser (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,38 @@
 Source: mimetreeparser
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libkf6calendarcore-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkleo-dev (>= 4:25.12.1~),
-               libkmbox-dev (>= 25.12.1~),
-               libkmime-dev (>= 25.12.1~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
+               libkf6config-dev,
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkleo-dev (>= 4:25.12.2~),
+               libkmbox-dev (>= 25.12.2~),
+               libkmime-dev (>= 25.12.2~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
-               qml6-module-qtwebengine [amd64 arm64 i386],
+               qml6-module-qtwebengine [amd64 arm64 armhf i386],
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mimetreeparser
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
 Rules-Requires-Root: no
 
 Package: libmimetreeparser-data
@@ -78,12 +80,12 @@
 Package: libmimetreeparser-dev
 Architecture: any
 Multi-Arch: same
-Depends: libkf6i18n-dev (>= 6.18.0~),
-         libkmbox-dev (>= 25.12.1~),
-         libkmime-dev (>= 25.12.1~),
+Depends: libkf6i18n-dev (>= 6.6.0~),
+         libkmbox-dev (>= 25.12.2~),
+         libkmime-dev (>= 25.12.2~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
-         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
+         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
          ${misc:Depends},
 Description: MIME tree parser - development files
  This is a parser for a MIME tree and is based on KMime. The goal is
@@ -95,11 +97,9 @@
 Section: libdevel
 
 Package: qml6-module-org-kde-mimetreeparser
-Architecture: amd64 arm64 i386
+Architecture: amd64 amd64v3 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser
  This is a parser for a MIME tree and is based on KMime. The goal is
  given a MIME tree to extract a list of parts (e.g. text, html) and a

## mimetreeparser 25.12.2+p24.04+vunstable+git20260207.0607

=== debian/changelog ===
mimetreeparser (25.12.2+p24.04+vunstable+git20260207.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:07:06 +0000

mimetreeparser (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:11:14 +0000
